Name:           kde-plasma-translatoid
Version:        1.0
Release:        1%{?dist}
Summary:        Translator Using Google Translator

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.kde-look.org/content/show.php/translatoid?content=97511
Source0:        http://www.kde-look.org/content/content-files/translatoid%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-workspace-devel >= 4.3.0
BuildRequires:  gettext >= 0.17
%description
Translator plasmoid using Google Translator.

%prep
%setup -qn translatoid

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
chmod 664 %{_builddir}/%{buildsubdir}/README
%{cmake_kde4} ..
popd

sed -i -e 's/-fno-exceptions -fno-check-new -fno-common//' \
-e 's/-fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden//' \
-e 's/-ansi//' %{_target_platform}/CMakeFiles/plasma_applet_translatoid.dir/flags.make

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README licence.txt
%{_kde4_libdir}/kde4/plasma_applet_translatoid.so
%{_kde4_datadir}/kde4/services/plasma-applet-translatoid.desktop
#%{_datadir}/locale/es_ES/LC_MESSAGES/translatoid.mo
#%{_datadir}/locale/fr_FR/LC_MESSAGES/translatoid.mo
%{_datadir}/icons/hicolor/128x128/apps/translator.png
%{_datadir}/icons/hicolor/16x16/apps/translator.png
%{_datadir}/icons/hicolor/22x22/apps/translator.png
%{_datadir}/icons/hicolor/256x256/apps/translator.png
%{_datadir}/icons/hicolor/32x32/apps/translator.png
%{_datadir}/icons/hicolor/48x48/apps/translator.png
%{_datadir}/icons/hicolor/64x64/apps/translator.png
%{_datadir}/icons/hicolor/scalable/apps/translator.svgz
%{_datadir}/icons/kbflags/ad.png
%{_datadir}/icons/kbflags/ae.png
%{_datadir}/icons/kbflags/ag.png
%{_datadir}/icons/kbflags/ai.png
%{_datadir}/icons/kbflags/al.png
%{_datadir}/icons/kbflags/am.png
%{_datadir}/icons/kbflags/an.png
%{_datadir}/icons/kbflags/ao.png
%{_datadir}/icons/kbflags/aq.png
%{_datadir}/icons/kbflags/ar.png
%{_datadir}/icons/kbflags/as.png
%{_datadir}/icons/kbflags/at.png
%{_datadir}/icons/kbflags/au.png
%{_datadir}/icons/kbflags/aw.png
%{_datadir}/icons/kbflags/az.png
%{_datadir}/icons/kbflags/ba.png
%{_datadir}/icons/kbflags/bb.png
%{_datadir}/icons/kbflags/bd.png
%{_datadir}/icons/kbflags/be.png
%{_datadir}/icons/kbflags/bf.png
%{_datadir}/icons/kbflags/bg.png
%{_datadir}/icons/kbflags/bh.png
%{_datadir}/icons/kbflags/bi.png
%{_datadir}/icons/kbflags/bj.png
%{_datadir}/icons/kbflags/bm.png
%{_datadir}/icons/kbflags/bn.png
%{_datadir}/icons/kbflags/bo.png
%{_datadir}/icons/kbflags/br.png
%{_datadir}/icons/kbflags/bs.png
%{_datadir}/icons/kbflags/bt.png
%{_datadir}/icons/kbflags/bv.png
%{_datadir}/icons/kbflags/bw.png
%{_datadir}/icons/kbflags/by.png
%{_datadir}/icons/kbflags/bz.png
%{_datadir}/icons/kbflags/ca.png
%{_datadir}/icons/kbflags/cc.png
%{_datadir}/icons/kbflags/cf.png
%{_datadir}/icons/kbflags/cg.png
%{_datadir}/icons/kbflags/ch.png
%{_datadir}/icons/kbflags/ci.png
%{_datadir}/icons/kbflags/ck.png
%{_datadir}/icons/kbflags/cl.png
%{_datadir}/icons/kbflags/cm.png
%{_datadir}/icons/kbflags/cn.png
%{_datadir}/icons/kbflags/co.png
%{_datadir}/icons/kbflags/cr.png
%{_datadir}/icons/kbflags/ct.png
%{_datadir}/icons/kbflags/cu.png
%{_datadir}/icons/kbflags/cv.png
%{_datadir}/icons/kbflags/cy.png
%{_datadir}/icons/kbflags/cz.png
%{_datadir}/icons/kbflags/de.png
%{_datadir}/icons/kbflags/dj.png
%{_datadir}/icons/kbflags/dk.png
%{_datadir}/icons/kbflags/dm.png
%{_datadir}/icons/kbflags/do.png
%{_datadir}/icons/kbflags/dz.png
%{_datadir}/icons/kbflags/ec.png
%{_datadir}/icons/kbflags/ee.png
%{_datadir}/icons/kbflags/eg.png
%{_datadir}/icons/kbflags/eh.png
%{_datadir}/icons/kbflags/er.png
%{_datadir}/icons/kbflags/es.png
%{_datadir}/icons/kbflags/et.png
%{_datadir}/icons/kbflags/eu.png
%{_datadir}/icons/kbflags/fi.png
%{_datadir}/icons/kbflags/fj.png
%{_datadir}/icons/kbflags/fo.png
%{_datadir}/icons/kbflags/fr.png
%{_datadir}/icons/kbflags/ga.png
%{_datadir}/icons/kbflags/gb.png
%{_datadir}/icons/kbflags/gd.png
%{_datadir}/icons/kbflags/ge.png
%{_datadir}/icons/kbflags/gh.png
%{_datadir}/icons/kbflags/gi.png
%{_datadir}/icons/kbflags/gm.png
%{_datadir}/icons/kbflags/gn.png
%{_datadir}/icons/kbflags/gq.png
%{_datadir}/icons/kbflags/gr.png
%{_datadir}/icons/kbflags/gt.png
%{_datadir}/icons/kbflags/gu.png
%{_datadir}/icons/kbflags/gw.png
%{_datadir}/icons/kbflags/gy.png
%{_datadir}/icons/kbflags/hk.png
%{_datadir}/icons/kbflags/hn.png
%{_datadir}/icons/kbflags/hr.png
%{_datadir}/icons/kbflags/ht.png
%{_datadir}/icons/kbflags/hu.png
%{_datadir}/icons/kbflags/id.png
%{_datadir}/icons/kbflags/ie.png
%{_datadir}/icons/kbflags/il.png
%{_datadir}/icons/kbflags/in.png
%{_datadir}/icons/kbflags/iq.png
%{_datadir}/icons/kbflags/ir.png
%{_datadir}/icons/kbflags/is.png
%{_datadir}/icons/kbflags/it.png
%{_datadir}/icons/kbflags/jm.png
%{_datadir}/icons/kbflags/jo.png
%{_datadir}/icons/kbflags/jp.png
%{_datadir}/icons/kbflags/ke.png
%{_datadir}/icons/kbflags/kg.png
%{_datadir}/icons/kbflags/kh.png
%{_datadir}/icons/kbflags/ki.png
%{_datadir}/icons/kbflags/km.png
%{_datadir}/icons/kbflags/kn.png
%{_datadir}/icons/kbflags/kp.png
%{_datadir}/icons/kbflags/kr.png
%{_datadir}/icons/kbflags/kw.png
%{_datadir}/icons/kbflags/kz.png
%{_datadir}/icons/kbflags/la.png
%{_datadir}/icons/kbflags/lb.png
%{_datadir}/icons/kbflags/lc.png
%{_datadir}/icons/kbflags/li.png
%{_datadir}/icons/kbflags/lk.png
%{_datadir}/icons/kbflags/lr.png
%{_datadir}/icons/kbflags/ls.png
%{_datadir}/icons/kbflags/lt.png
%{_datadir}/icons/kbflags/lu.png
%{_datadir}/icons/kbflags/lv.png
%{_datadir}/icons/kbflags/ly.png
%{_datadir}/icons/kbflags/ma.png
%{_datadir}/icons/kbflags/mc.png
%{_datadir}/icons/kbflags/md.png
%{_datadir}/icons/kbflags/mg.png
%{_datadir}/icons/kbflags/mh.png
%{_datadir}/icons/kbflags/mk.png
%{_datadir}/icons/kbflags/ml.png
%{_datadir}/icons/kbflags/mm.png
%{_datadir}/icons/kbflags/mn.png
%{_datadir}/icons/kbflags/mo.png
%{_datadir}/icons/kbflags/mr.png
%{_datadir}/icons/kbflags/ms.png
%{_datadir}/icons/kbflags/mt.png
%{_datadir}/icons/kbflags/mu.png
%{_datadir}/icons/kbflags/mv.png
%{_datadir}/icons/kbflags/mw.png
%{_datadir}/icons/kbflags/mx.png
%{_datadir}/icons/kbflags/my.png
%{_datadir}/icons/kbflags/mz.png
%{_datadir}/icons/kbflags/na.png
%{_datadir}/icons/kbflags/ne.png
%{_datadir}/icons/kbflags/ng.png
%{_datadir}/icons/kbflags/ni.png
%{_datadir}/icons/kbflags/nl.png
%{_datadir}/icons/kbflags/no.png
%{_datadir}/icons/kbflags/np.png
%{_datadir}/icons/kbflags/nr.png
%{_datadir}/icons/kbflags/nz.png
%{_datadir}/icons/kbflags/om.png
%{_datadir}/icons/kbflags/pa.png
%{_datadir}/icons/kbflags/pe.png
%{_datadir}/icons/kbflags/pf.png
%{_datadir}/icons/kbflags/pg.png
%{_datadir}/icons/kbflags/ph.png
%{_datadir}/icons/kbflags/pk.png
%{_datadir}/icons/kbflags/pl.png
%{_datadir}/icons/kbflags/pr.png
%{_datadir}/icons/kbflags/ps.png
%{_datadir}/icons/kbflags/pt.png
%{_datadir}/icons/kbflags/pw.png
%{_datadir}/icons/kbflags/py.png
%{_datadir}/icons/kbflags/qa.png
%{_datadir}/icons/kbflags/re.png
%{_datadir}/icons/kbflags/ro.png
%{_datadir}/icons/kbflags/rs.png
%{_datadir}/icons/kbflags/ru.png
%{_datadir}/icons/kbflags/rw.png
%{_datadir}/icons/kbflags/sa.png
%{_datadir}/icons/kbflags/sb.png
%{_datadir}/icons/kbflags/sc.png
%{_datadir}/icons/kbflags/se.png
%{_datadir}/icons/kbflags/sg.png
%{_datadir}/icons/kbflags/si.png
%{_datadir}/icons/kbflags/sk.png
%{_datadir}/icons/kbflags/sl.png
%{_datadir}/icons/kbflags/sm.png
%{_datadir}/icons/kbflags/sn.png
%{_datadir}/icons/kbflags/so.png
%{_datadir}/icons/kbflags/sr.png
%{_datadir}/icons/kbflags/st.png
%{_datadir}/icons/kbflags/sv.png
%{_datadir}/icons/kbflags/sy.png
%{_datadir}/icons/kbflags/sz.png
%{_datadir}/icons/kbflags/tc.png
%{_datadir}/icons/kbflags/td.png
%{_datadir}/icons/kbflags/tf.png
%{_datadir}/icons/kbflags/tg.png
%{_datadir}/icons/kbflags/th.png
%{_datadir}/icons/kbflags/tj.png
%{_datadir}/icons/kbflags/tl.png
%{_datadir}/icons/kbflags/tn.png
%{_datadir}/icons/kbflags/to.png
%{_datadir}/icons/kbflags/tr.png
%{_datadir}/icons/kbflags/tt.png
%{_datadir}/icons/kbflags/tv.png
%{_datadir}/icons/kbflags/tw.png
%{_datadir}/icons/kbflags/tz.png
%{_datadir}/icons/kbflags/ua.png
%{_datadir}/icons/kbflags/ug.png
%{_datadir}/icons/kbflags/um.png
%{_datadir}/icons/kbflags/us.png
%{_datadir}/icons/kbflags/uy.png
%{_datadir}/icons/kbflags/uz.png
%{_datadir}/icons/kbflags/va.png
%{_datadir}/icons/kbflags/vc.png
%{_datadir}/icons/kbflags/ve.png
%{_datadir}/icons/kbflags/vg.png
%{_datadir}/icons/kbflags/vi.png
%{_datadir}/icons/kbflags/vn.png
%{_datadir}/icons/kbflags/vu.png
%{_datadir}/icons/kbflags/ws.png
%{_datadir}/icons/kbflags/ye.png
%{_datadir}/icons/kbflags/za.png
%{_datadir}/icons/kbflags/zm.png
%{_datadir}/icons/kbflags/zw.png



%changelog
* Fri Aug 7 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 1.0-1
-1.0
- Build Requirement Changed from kdebase-workspace-devel >= 4.2.0
-     to 4.3.0
- Change icon
- Change a lot by aseigo , use KJob, nice animation during translate.
- change the structure of translatoid
- Will remove voice button, because KTTSD do the same job.
- Add estonishlanguage
- Set text color with theme color
- save your automaticaly last languages in use.


* Wed Feb 25 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.9-1
-0.9
- Add new flags list ! Use a plasma::treeview with a QAbstractModel
- copy from the clipboard! Now, you just have to select a source
- text from anywhere, and active the popup, by cliking on the popup,
- or by a plasma shortcut.
- Change QTextEdit source event. Now, press Enter to translate,
- and press Shift+Enter to add a new line.
-0.8
- IMPORTANT RELEASE :
- change the algorithm of source translation. Now it use Post Method.
- It means that you can translate big text. And if you type 1 word,
-it get you the dictionnary result
- Thanks lexnewton.
-0.7 
- add New popup icon which can change his flags
- use KConfigGroup for save favorite language
- add FavoriteLanguage config dialog
- some update of the code
-0.6.1
- Add new Icon
- change name : translatoid to plasma-applet-translatoid

* Wed Feb 25 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.6-2
-Fix Build Requirement

* Wed Feb 25 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.6-1
-Removed patch that builds the package without flags.They are not need.
-AutoPaste the copy selection and autotranslate when you active Popup.
-GrabKeyboard when you active Popup
-Add "Clear Button"
-remove Cancel Button from DialogBox
-Add Po language file. 
- Change inverse language icon
- Add Fedora Package without flags

* Fri Feb 13 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.5-1
- Update to Version 0.5
- Update allows translated text to be spoken.

* Mon Feb 08 2009 Jaroslav Reznik <jreznik@redhat.com> 0.4.1-6
- Finally correct one URL
- Description clarification

* Fri Feb 06 2009 Jaroslav Reznik <jreznik@redhat.com> 0.4.1-5
- Fixed URL
- Country flags removed

* Mon Feb 02 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.4.1-4
- Added command to remove non Fedora GCC compilation flags

* Mon Feb 02 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.4.1-3
- Corrected reference to Google as per Fedora's Guidelines

* Mon Feb 02 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.4.1-2
- Corrected Name of SPEC File
- Corrected packaging errors

* Mon Feb 02 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.4.1-1
- Initial package
